public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2024-10-08  5:03 Ionen Wolkens
  0 siblings, 0 replies; 9+ messages in thread
From: Ionen Wolkens @ 2024-10-08  5:03 UTC (permalink / raw
  To: gentoo-commits

commit:     d75edd00dd8fc2839b0e28e28cd1bf90594115eb
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  8 04:50:45 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Oct  8 05:01:18 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d75edd00

dev-qt/qtremoteobjects: add 6.8.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtremoteobjects/Manifest                    |  1 +
 .../qtremoteobjects/qtremoteobjects-6.8.0.ebuild   | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-qt/qtremoteobjects/Manifest b/dev-qt/qtremoteobjects/Manifest
index 33151965283b..1c1eb19bb518 100644
--- a/dev-qt/qtremoteobjects/Manifest
+++ b/dev-qt/qtremoteobjects/Manifest
@@ -1 +1,2 @@
 DIST qtremoteobjects-everywhere-src-6.7.3.tar.xz 537012 BLAKE2B 81363b9ce519dad0ac94109243dffd3043c010d125cb738f1dc49c31b0aa6324a28c055c0126b5992e63b5296781af87f59236c759f3e82121d8cf663d0950e6 SHA512 42b744dc946296bbd57ed31509b720285fd50760484243eede06ac25205fced40060601bef257745635ab4e15a59ddc8bd207dec52246adfde94078706d23e0f
+DIST qtremoteobjects-everywhere-src-6.8.0.tar.xz 537064 BLAKE2B 750f62abb1da3daf5d029c4930054b243b88db0fe6ec738fdce223dae3070c614b946f10f7e6b6e0485cabb8611575df818ecf35ef9b6934797a55691e2784e8 SHA512 5c7899a49daa6ce751394b829d3cf7d12e3cfa74f8fdde6ae9aa74d6346b273901e44700fca5873a957e49b9546ebc964a93fbb8152206723c873ce8139348c6

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.0.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.0.ebuild
new file mode 100644
index 000000000000..49b703f47ebd
--- /dev/null
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64"
+fi
+
+IUSE="qml"
+
+RDEPEND="
+	~dev-qt/qtbase-${PV}:6[network]
+	qml? (
+		~dev-qt/qtbase-${PV}:6[gui]
+		~dev-qt/qtdeclarative-${PV}:6
+	)
+"
+DEPEND="
+	${RDEPEND}
+	test? ( ~dev-qt/qtbase-${PV}:6[gui] )
+"
+
+src_configure() {
+	# same issue as bug #913692 when tests are enabled
+	has_version "=dev-qt/qtdeclarative-$(ver_cut 1-3)*:6" &&
+		local mycmakeargs=( $(cmake_use_find_package qml Qt6Qml) )
+
+	qt6-build_src_configure
+}
+
+src_test() {
+	# tests re-use 127.0.0.1:65213 and randomly fail if ran at same time
+	qt6-build_src_test -j1
+}
+
+src_install() {
+	qt6-build_src_install
+
+	if use test; then
+		# installs 30+ test binaries like "qt6/bin/state" and, given
+		# otherwise empty, "can" delete the directory rather than list
+		rm -r -- "${D}${QT6_BINDIR}" || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2024-10-09  6:22 Ionen Wolkens
  0 siblings, 0 replies; 9+ messages in thread
From: Ionen Wolkens @ 2024-10-09  6:22 UTC (permalink / raw
  To: gentoo-commits

commit:     cbc6a0dbded5ae317157f574f2ba40dc2bf5159b
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  9 06:04:06 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Wed Oct  9 06:21:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbc6a0db

dev-qt/qtremoteobjects: drop 6.7.9999

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 .../qtremoteobjects-6.7.9999.ebuild                | 49 ----------------------
 1 file changed, 49 deletions(-)

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.7.9999.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.7.9999.ebuild
deleted file mode 100644
index 49b703f47ebd..000000000000
--- a/dev-qt/qtremoteobjects/qtremoteobjects-6.7.9999.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit qt6-build
-
-DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
-
-if [[ ${QT6_BUILD_TYPE} == release ]]; then
-	KEYWORDS="~amd64"
-fi
-
-IUSE="qml"
-
-RDEPEND="
-	~dev-qt/qtbase-${PV}:6[network]
-	qml? (
-		~dev-qt/qtbase-${PV}:6[gui]
-		~dev-qt/qtdeclarative-${PV}:6
-	)
-"
-DEPEND="
-	${RDEPEND}
-	test? ( ~dev-qt/qtbase-${PV}:6[gui] )
-"
-
-src_configure() {
-	# same issue as bug #913692 when tests are enabled
-	has_version "=dev-qt/qtdeclarative-$(ver_cut 1-3)*:6" &&
-		local mycmakeargs=( $(cmake_use_find_package qml Qt6Qml) )
-
-	qt6-build_src_configure
-}
-
-src_test() {
-	# tests re-use 127.0.0.1:65213 and randomly fail if ran at same time
-	qt6-build_src_test -j1
-}
-
-src_install() {
-	qt6-build_src_install
-
-	if use test; then
-		# installs 30+ test binaries like "qt6/bin/state" and, given
-		# otherwise empty, "can" delete the directory rather than list
-		rm -r -- "${D}${QT6_BINDIR}" || die
-	fi
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2024-12-02  7:23 Ionen Wolkens
  0 siblings, 0 replies; 9+ messages in thread
From: Ionen Wolkens @ 2024-12-02  7:23 UTC (permalink / raw
  To: gentoo-commits

commit:     06f02af06860907dfc30e02d71849d96e4bcdb69
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Mon Dec  2 06:25:17 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Dec  2 07:22:44 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06f02af0

dev-qt/qtremoteobjects: add 6.8.1

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtremoteobjects/Manifest                    |  1 +
 .../qtremoteobjects/qtremoteobjects-6.8.1.ebuild   | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-qt/qtremoteobjects/Manifest b/dev-qt/qtremoteobjects/Manifest
index 1c1eb19bb518..873d1e193ee3 100644
--- a/dev-qt/qtremoteobjects/Manifest
+++ b/dev-qt/qtremoteobjects/Manifest
@@ -1,2 +1,3 @@
 DIST qtremoteobjects-everywhere-src-6.7.3.tar.xz 537012 BLAKE2B 81363b9ce519dad0ac94109243dffd3043c010d125cb738f1dc49c31b0aa6324a28c055c0126b5992e63b5296781af87f59236c759f3e82121d8cf663d0950e6 SHA512 42b744dc946296bbd57ed31509b720285fd50760484243eede06ac25205fced40060601bef257745635ab4e15a59ddc8bd207dec52246adfde94078706d23e0f
 DIST qtremoteobjects-everywhere-src-6.8.0.tar.xz 537064 BLAKE2B 750f62abb1da3daf5d029c4930054b243b88db0fe6ec738fdce223dae3070c614b946f10f7e6b6e0485cabb8611575df818ecf35ef9b6934797a55691e2784e8 SHA512 5c7899a49daa6ce751394b829d3cf7d12e3cfa74f8fdde6ae9aa74d6346b273901e44700fca5873a957e49b9546ebc964a93fbb8152206723c873ce8139348c6
+DIST qtremoteobjects-everywhere-src-6.8.1.tar.xz 537132 BLAKE2B b00cc0fd193c7b2638ed5ac2b91cdb6cc23cd8ff0b49ec55ef44cbd8633b0a62107e7ba69e6f2e5a0003d62138e8a88511483d2cfbd5616afc3fd8f5aff409b2 SHA512 30660149a59b8c7630fcafaf6d735b6ed0dc950c2658e7547c63c73f73468e5cbb4c3490a8849fabf9b021393b9c745ec339e7db909184711f05f3d30ab794cf

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.1.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.1.ebuild
new file mode 100644
index 000000000000..62948acc2c91
--- /dev/null
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.1.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64"
+fi
+
+IUSE="qml"
+
+RDEPEND="
+	~dev-qt/qtbase-${PV}:6[network]
+	qml? (
+		~dev-qt/qtbase-${PV}:6[gui]
+		~dev-qt/qtdeclarative-${PV}:6
+	)
+"
+DEPEND="
+	${RDEPEND}
+	test? ( ~dev-qt/qtbase-${PV}:6[gui] )
+"
+
+src_configure() {
+	# same issue as bug #913692 when tests are enabled
+	has_version "=dev-qt/qtdeclarative-$(ver_cut 1-3)*:6" &&
+		local mycmakeargs=( $(cmake_use_find_package qml Qt6Qml) )
+
+	qt6-build_src_configure
+}
+
+src_test() {
+	local CMAKE_SKIP_TESTS=(
+		# rarely fails randomly even with -j1, not looked further into
+		tst_modelview
+	)
+
+	# tests re-use 127.0.0.1:65213 and randomly fail if ran at same time
+	qt6-build_src_test -j1
+}
+
+src_install() {
+	qt6-build_src_install
+
+	if use test; then
+		# installs 30+ test binaries like "qt6/bin/state" and, given
+		# otherwise empty, "can" delete the directory rather than list
+		rm -r -- "${D}${QT6_BINDIR}" || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2024-12-03 18:16 Ionen Wolkens
  0 siblings, 0 replies; 9+ messages in thread
From: Ionen Wolkens @ 2024-12-03 18:16 UTC (permalink / raw
  To: gentoo-commits

commit:     15b0f14162d89c085ba929e8fc9337405ecdeb9f
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Tue Dec  3 17:29:39 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Tue Dec  3 18:13:39 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15b0f141

dev-qt/qtremoteobjects: drop 6.8.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtremoteobjects/Manifest                    |  1 -
 .../qtremoteobjects/qtremoteobjects-6.8.0.ebuild   | 49 ----------------------
 2 files changed, 50 deletions(-)

diff --git a/dev-qt/qtremoteobjects/Manifest b/dev-qt/qtremoteobjects/Manifest
index 873d1e193ee3..05e766ca41a7 100644
--- a/dev-qt/qtremoteobjects/Manifest
+++ b/dev-qt/qtremoteobjects/Manifest
@@ -1,3 +1,2 @@
 DIST qtremoteobjects-everywhere-src-6.7.3.tar.xz 537012 BLAKE2B 81363b9ce519dad0ac94109243dffd3043c010d125cb738f1dc49c31b0aa6324a28c055c0126b5992e63b5296781af87f59236c759f3e82121d8cf663d0950e6 SHA512 42b744dc946296bbd57ed31509b720285fd50760484243eede06ac25205fced40060601bef257745635ab4e15a59ddc8bd207dec52246adfde94078706d23e0f
-DIST qtremoteobjects-everywhere-src-6.8.0.tar.xz 537064 BLAKE2B 750f62abb1da3daf5d029c4930054b243b88db0fe6ec738fdce223dae3070c614b946f10f7e6b6e0485cabb8611575df818ecf35ef9b6934797a55691e2784e8 SHA512 5c7899a49daa6ce751394b829d3cf7d12e3cfa74f8fdde6ae9aa74d6346b273901e44700fca5873a957e49b9546ebc964a93fbb8152206723c873ce8139348c6
 DIST qtremoteobjects-everywhere-src-6.8.1.tar.xz 537132 BLAKE2B b00cc0fd193c7b2638ed5ac2b91cdb6cc23cd8ff0b49ec55ef44cbd8633b0a62107e7ba69e6f2e5a0003d62138e8a88511483d2cfbd5616afc3fd8f5aff409b2 SHA512 30660149a59b8c7630fcafaf6d735b6ed0dc950c2658e7547c63c73f73468e5cbb4c3490a8849fabf9b021393b9c745ec339e7db909184711f05f3d30ab794cf

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.0.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.0.ebuild
deleted file mode 100644
index 49b703f47ebd..000000000000
--- a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.0.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit qt6-build
-
-DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
-
-if [[ ${QT6_BUILD_TYPE} == release ]]; then
-	KEYWORDS="~amd64"
-fi
-
-IUSE="qml"
-
-RDEPEND="
-	~dev-qt/qtbase-${PV}:6[network]
-	qml? (
-		~dev-qt/qtbase-${PV}:6[gui]
-		~dev-qt/qtdeclarative-${PV}:6
-	)
-"
-DEPEND="
-	${RDEPEND}
-	test? ( ~dev-qt/qtbase-${PV}:6[gui] )
-"
-
-src_configure() {
-	# same issue as bug #913692 when tests are enabled
-	has_version "=dev-qt/qtdeclarative-$(ver_cut 1-3)*:6" &&
-		local mycmakeargs=( $(cmake_use_find_package qml Qt6Qml) )
-
-	qt6-build_src_configure
-}
-
-src_test() {
-	# tests re-use 127.0.0.1:65213 and randomly fail if ran at same time
-	qt6-build_src_test -j1
-}
-
-src_install() {
-	qt6-build_src_install
-
-	if use test; then
-		# installs 30+ test binaries like "qt6/bin/state" and, given
-		# otherwise empty, "can" delete the directory rather than list
-		rm -r -- "${D}${QT6_BINDIR}" || die
-	fi
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2024-12-15 20:18 Ionen Wolkens
  0 siblings, 0 replies; 9+ messages in thread
From: Ionen Wolkens @ 2024-12-15 20:18 UTC (permalink / raw
  To: gentoo-commits

commit:     f730c42793ae616ff453bcde1a3e246471008cc6
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 15 06:43:10 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Sun Dec 15 20:17:33 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f730c427

dev-qt/qtremoteobjects: add 6.9.9999

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 .../qtremoteobjects-6.9.9999.ebuild                | 54 ++++++++++++++++++++++
 1 file changed, 54 insertions(+)

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.9.9999.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.9.9999.ebuild
new file mode 100644
index 000000000000..62948acc2c91
--- /dev/null
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.9.9999.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64"
+fi
+
+IUSE="qml"
+
+RDEPEND="
+	~dev-qt/qtbase-${PV}:6[network]
+	qml? (
+		~dev-qt/qtbase-${PV}:6[gui]
+		~dev-qt/qtdeclarative-${PV}:6
+	)
+"
+DEPEND="
+	${RDEPEND}
+	test? ( ~dev-qt/qtbase-${PV}:6[gui] )
+"
+
+src_configure() {
+	# same issue as bug #913692 when tests are enabled
+	has_version "=dev-qt/qtdeclarative-$(ver_cut 1-3)*:6" &&
+		local mycmakeargs=( $(cmake_use_find_package qml Qt6Qml) )
+
+	qt6-build_src_configure
+}
+
+src_test() {
+	local CMAKE_SKIP_TESTS=(
+		# rarely fails randomly even with -j1, not looked further into
+		tst_modelview
+	)
+
+	# tests re-use 127.0.0.1:65213 and randomly fail if ran at same time
+	qt6-build_src_test -j1
+}
+
+src_install() {
+	qt6-build_src_install
+
+	if use test; then
+		# installs 30+ test binaries like "qt6/bin/state" and, given
+		# otherwise empty, "can" delete the directory rather than list
+		rm -r -- "${D}${QT6_BINDIR}" || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2025-01-06  7:08 WANG Xuerui
  0 siblings, 0 replies; 9+ messages in thread
From: WANG Xuerui @ 2025-01-06  7:08 UTC (permalink / raw
  To: gentoo-commits

commit:     04c8be30a85621c9397792140aededf8df1d443c
Author:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  6 06:11:01 2025 +0000
Commit:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
CommitDate: Mon Jan  6 07:06:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=04c8be30

dev-qt/qtremoteobjects: forward ~loong

Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>

 dev-qt/qtremoteobjects/qtremoteobjects-6.8.9999.ebuild | 4 ++--
 dev-qt/qtremoteobjects/qtremoteobjects-6.9.9999.ebuild | 4 ++--
 dev-qt/qtremoteobjects/qtremoteobjects-6.9999.ebuild   | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.9999.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.9999.ebuild
index 62948acc2c91..5a992a36755d 100644
--- a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.9999.ebuild
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2024-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -8,7 +8,7 @@ inherit qt6-build
 DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
 
 if [[ ${QT6_BUILD_TYPE} == release ]]; then
-	KEYWORDS="~amd64"
+	KEYWORDS="~amd64 ~loong"
 fi
 
 IUSE="qml"

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.9.9999.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.9.9999.ebuild
index 62948acc2c91..5a992a36755d 100644
--- a/dev-qt/qtremoteobjects/qtremoteobjects-6.9.9999.ebuild
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.9.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2024-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -8,7 +8,7 @@ inherit qt6-build
 DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
 
 if [[ ${QT6_BUILD_TYPE} == release ]]; then
-	KEYWORDS="~amd64"
+	KEYWORDS="~amd64 ~loong"
 fi
 
 IUSE="qml"

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.9999.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.9999.ebuild
index 62948acc2c91..5a992a36755d 100644
--- a/dev-qt/qtremoteobjects/qtremoteobjects-6.9999.ebuild
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2024-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -8,7 +8,7 @@ inherit qt6-build
 DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
 
 if [[ ${QT6_BUILD_TYPE} == release ]]; then
-	KEYWORDS="~amd64"
+	KEYWORDS="~amd64 ~loong"
 fi
 
 IUSE="qml"


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2025-01-06  7:08 WANG Xuerui
  0 siblings, 0 replies; 9+ messages in thread
From: WANG Xuerui @ 2025-01-06  7:08 UTC (permalink / raw
  To: gentoo-commits

commit:     f303dbe5c0419ca2498a4816a71673aeba21cdd8
Author:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
AuthorDate: Mon Jan  6 06:10:55 2025 +0000
Commit:     WANG Xuerui <xen0n <AT> gentoo <DOT> org>
CommitDate: Mon Jan  6 07:06:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f303dbe5

dev-qt/qtremoteobjects: keyword 6.8.1 for ~loong

Signed-off-by: WANG Xuerui <xen0n <AT> gentoo.org>

 dev-qt/qtremoteobjects/qtremoteobjects-6.8.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.1.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.1.ebuild
index 39f29b8c9731..d4438f8aaaaa 100644
--- a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.1.ebuild
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2024 Gentoo Authors
+# Copyright 2024-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -8,7 +8,7 @@ inherit qt6-build
 DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
 
 if [[ ${QT6_BUILD_TYPE} == release ]]; then
-	KEYWORDS="amd64"
+	KEYWORDS="amd64 ~loong"
 fi
 
 IUSE="qml"


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2025-01-06 22:51 Ionen Wolkens
  0 siblings, 0 replies; 9+ messages in thread
From: Ionen Wolkens @ 2025-01-06 22:51 UTC (permalink / raw
  To: gentoo-commits

commit:     fb916876386e83e2931352f6ea333df0a636f597
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 27 22:54:03 2024 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Mon Jan  6 22:48:47 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb916876

dev-qt/qtremoteobjects: drop 6.7.3

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtremoteobjects/Manifest                    |  1 -
 .../qtremoteobjects/qtremoteobjects-6.7.3.ebuild   | 49 ----------------------
 2 files changed, 50 deletions(-)

diff --git a/dev-qt/qtremoteobjects/Manifest b/dev-qt/qtremoteobjects/Manifest
index 05e766ca41a7..f38449fdb605 100644
--- a/dev-qt/qtremoteobjects/Manifest
+++ b/dev-qt/qtremoteobjects/Manifest
@@ -1,2 +1 @@
-DIST qtremoteobjects-everywhere-src-6.7.3.tar.xz 537012 BLAKE2B 81363b9ce519dad0ac94109243dffd3043c010d125cb738f1dc49c31b0aa6324a28c055c0126b5992e63b5296781af87f59236c759f3e82121d8cf663d0950e6 SHA512 42b744dc946296bbd57ed31509b720285fd50760484243eede06ac25205fced40060601bef257745635ab4e15a59ddc8bd207dec52246adfde94078706d23e0f
 DIST qtremoteobjects-everywhere-src-6.8.1.tar.xz 537132 BLAKE2B b00cc0fd193c7b2638ed5ac2b91cdb6cc23cd8ff0b49ec55ef44cbd8633b0a62107e7ba69e6f2e5a0003d62138e8a88511483d2cfbd5616afc3fd8f5aff409b2 SHA512 30660149a59b8c7630fcafaf6d735b6ed0dc950c2658e7547c63c73f73468e5cbb4c3490a8849fabf9b021393b9c745ec339e7db909184711f05f3d30ab794cf

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.7.3.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.7.3.ebuild
deleted file mode 100644
index f3819e416a2d..000000000000
--- a/dev-qt/qtremoteobjects/qtremoteobjects-6.7.3.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit qt6-build
-
-DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
-
-if [[ ${QT6_BUILD_TYPE} == release ]]; then
-	KEYWORDS="amd64"
-fi
-
-IUSE="qml"
-
-RDEPEND="
-	~dev-qt/qtbase-${PV}:6[network]
-	qml? (
-		~dev-qt/qtbase-${PV}:6[gui]
-		~dev-qt/qtdeclarative-${PV}:6
-	)
-"
-DEPEND="
-	${RDEPEND}
-	test? ( ~dev-qt/qtbase-${PV}:6[gui] )
-"
-
-src_configure() {
-	# same issue as bug #913692 when tests are enabled
-	has_version "=dev-qt/qtdeclarative-$(ver_cut 1-3)*:6" &&
-		local mycmakeargs=( $(cmake_use_find_package qml Qt6Qml) )
-
-	qt6-build_src_configure
-}
-
-src_test() {
-	# tests re-use 127.0.0.1:65213 and randomly fail if ran at same time
-	qt6-build_src_test -j1
-}
-
-src_install() {
-	qt6-build_src_install
-
-	if use test; then
-		# installs 30+ test binaries like "qt6/bin/state" and, given
-		# otherwise empty, "can" delete the directory rather than list
-		rm -r -- "${D}${QT6_BINDIR}" || die
-	fi
-}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/
@ 2025-01-31  8:20 Ionen Wolkens
  0 siblings, 0 replies; 9+ messages in thread
From: Ionen Wolkens @ 2025-01-31  8:20 UTC (permalink / raw
  To: gentoo-commits

commit:     1c0ca5819c36943b4812a6a74b34bd3bbcf23b02
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 31 07:52:22 2025 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Fri Jan 31 08:19:51 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1c0ca581

dev-qt/qtremoteobjects: add 6.8.2

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 dev-qt/qtremoteobjects/Manifest                    |  1 +
 .../qtremoteobjects/qtremoteobjects-6.8.2.ebuild   | 54 ++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/dev-qt/qtremoteobjects/Manifest b/dev-qt/qtremoteobjects/Manifest
index f38449fdb605..1d99cab35105 100644
--- a/dev-qt/qtremoteobjects/Manifest
+++ b/dev-qt/qtremoteobjects/Manifest
@@ -1 +1,2 @@
 DIST qtremoteobjects-everywhere-src-6.8.1.tar.xz 537132 BLAKE2B b00cc0fd193c7b2638ed5ac2b91cdb6cc23cd8ff0b49ec55ef44cbd8633b0a62107e7ba69e6f2e5a0003d62138e8a88511483d2cfbd5616afc3fd8f5aff409b2 SHA512 30660149a59b8c7630fcafaf6d735b6ed0dc950c2658e7547c63c73f73468e5cbb4c3490a8849fabf9b021393b9c745ec339e7db909184711f05f3d30ab794cf
+DIST qtremoteobjects-everywhere-src-6.8.2.tar.xz 537584 BLAKE2B fe60e78f1104b886f85e677901c38374646114d2479c79aa9f4b36db712a22f0150560949bca37fd7d980c366f2b878c6998dd1e9bda4418f649c0b76a9d17e8 SHA512 69668b986a1a4eefb0f2fac3bb53b6cd44b808def7307eb83c30af879d36156b06ced71ccf7746b56f503c927b7aac82ae6526ffe5f186ef1caa3dead39b388c

diff --git a/dev-qt/qtremoteobjects/qtremoteobjects-6.8.2.ebuild b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.2.ebuild
new file mode 100644
index 000000000000..5a992a36755d
--- /dev/null
+++ b/dev-qt/qtremoteobjects/qtremoteobjects-6.8.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 2024-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit qt6-build
+
+DESCRIPTION="Inter-Process Communication (IPC) library for the Qt6 framework"
+
+if [[ ${QT6_BUILD_TYPE} == release ]]; then
+	KEYWORDS="~amd64 ~loong"
+fi
+
+IUSE="qml"
+
+RDEPEND="
+	~dev-qt/qtbase-${PV}:6[network]
+	qml? (
+		~dev-qt/qtbase-${PV}:6[gui]
+		~dev-qt/qtdeclarative-${PV}:6
+	)
+"
+DEPEND="
+	${RDEPEND}
+	test? ( ~dev-qt/qtbase-${PV}:6[gui] )
+"
+
+src_configure() {
+	# same issue as bug #913692 when tests are enabled
+	has_version "=dev-qt/qtdeclarative-$(ver_cut 1-3)*:6" &&
+		local mycmakeargs=( $(cmake_use_find_package qml Qt6Qml) )
+
+	qt6-build_src_configure
+}
+
+src_test() {
+	local CMAKE_SKIP_TESTS=(
+		# rarely fails randomly even with -j1, not looked further into
+		tst_modelview
+	)
+
+	# tests re-use 127.0.0.1:65213 and randomly fail if ran at same time
+	qt6-build_src_test -j1
+}
+
+src_install() {
+	qt6-build_src_install
+
+	if use test; then
+		# installs 30+ test binaries like "qt6/bin/state" and, given
+		# otherwise empty, "can" delete the directory rather than list
+		rm -r -- "${D}${QT6_BINDIR}" || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 9+ messages in thread

end of thread, other threads:[~2025-01-31  8:21 UTC | newest]

Thread overview: 9+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-01-06  7:08 [gentoo-commits] repo/gentoo:master commit in: dev-qt/qtremoteobjects/ WANG Xuerui
  -- strict thread matches above, loose matches on Subject: below --
2025-01-31  8:20 Ionen Wolkens
2025-01-06 22:51 Ionen Wolkens
2025-01-06  7:08 WANG Xuerui
2024-12-15 20:18 Ionen Wolkens
2024-12-03 18:16 Ionen Wolkens
2024-12-02  7:23 Ionen Wolkens
2024-10-09  6:22 Ionen Wolkens
2024-10-08  5:03 Ionen Wolkens

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox